/*
 * LongitudIncorrectaSegunOtroCampoDependiente.java
 *
 * Created on 23 de marzo de 2007, 08:31 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author jlozanop
 */
public class LongitudIncorrectaSegunOtroCampoDependiente extends AbstractRule {

	//
	/** Creates a new instance of LongitudIncorrectaObligatorio */
	public LongitudIncorrectaSegunOtroCampoDependiente() {
	}

	public boolean performValidation(String field, String registro[], String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[2]).intValue()];
		if (registro[new Integer((String) getParams()[0]).intValue()]
				.equals(getParams()[1])) {
			if (otroCampo.equals(getParams()[3])) {
				if (field.length() != new Integer((String) getParams()[4])
						.intValue())
					return true;
			}
		}
		return false;
	}
}
